> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# NFTs Collection Historical Chart Data by Contract Address

> To query historical market data of a NFT collection, including floor price, market cap, and 24hr volume, by number of days away from now based on the provided contract address

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

export const PlanExclusivity = ({tier}) => {
  if (tier === "enterprise") {
    return <Callout icon="crown" color="#FFC107" iconType="regular">
        <strong>Enterprise Only</strong><br />This endpoint is exclusively available to <strong>Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/enterprise">→ Contact sales</a>
      </Callout>;
  }
  if (tier === "analyst_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Analyst Plan and Above</strong><br />This endpoint is only available to <strong>Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  if (tier === "basic_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Basic Plan and Above</strong><br />This endpoint is only available to <strong>Basic, Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  throw new Error(`PlanExclusivity: invalid tier "${tier}". Use "basic_above", "analyst_above", or "enterprise".`);
};

#### Notes

* Auto-granularity:
  * 1–14 days = **5-minutely** data
  * 15 days and above = **daily** data (00:00 UTC)

<Warning>
  Solana NFTs and Art Blocks are not supported. Use [NFTs Collection Historical Chart Data by ID](/reference/nfts-id-market-chart) instead.
</Warning>

<Note>
  The last completed UTC day (00:00) is available 5 minutes after midnight (00:05 UTC).
</Note>

<PlanExclusivity tier="analyst_above" />

<CacheInfo rate="5 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.nfts.contract.marketChart.get('0xBd3531dA5CF5857e7CfAA92426877b022e612cf8', {
    asset_platform_id: 'ethereum',
    days: '1',
  });

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.nfts.contract.market_chart.get(
    "0xBd3531dA5CF5857e7CfAA92426877b022e612cf8",
    asset_platform_id="ethereum",
    days="1",
  )

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/pro-api.json get /nfts/{asset_platform_id}/contract/{contract_address}/market_chart
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /nfts/{asset_platform_id}/contract/{contract_address}/market_chart:
    get:
      summary: NFTs Collection Historical Chart Data by Contract Address
      description: >-
        To query historical market data of a NFT collection, including floor
        price, market cap, and 24hr volume, by number of days away from now
        based on the provided contract address
      operationId: nfts-contract-address-market-chart
      parameters:
        - name: asset_platform_id
          in: path
          required: true
          description: |-
            Asset platform ID. 
            *refers to [`/asset_platforms`](/reference/asset-platforms-list).
          schema:
            type: string
            default: ethereum
        - name: contract_address
          in: path
          required: true
          description: Contract address of the NFT collection.
          schema:
            type: string
            default: '0xBd3531dA5CF5857e7CfAA92426877b022e612cf8'
        - name: days
          in: query
          required: true
          description: |-
            Data up to number of days ago. 
            Valid values: any integer or `max`
          schema:
            type: string
            default: '1'
      responses:
        '200':
          description: NFT collection historical chart data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTMarketChart'
              example:
                floor_price_usd:
                  - - 1779729001000
                    - 10032.419904380335
                  - - 1779729303000
                    - 10028.703755252538
                floor_price_native:
                  - - 1779729001000
                    - 4.69989940999941
                  - - 1779729303000
                    - 4.69989940999941
                h24_volume_usd:
                  - - 1779729001000
                    - 60835.49928667799
                  - - 1779729303000
                    - 60812.96496397539
                h24_volume_native:
                  - - 1779729001000
                    - 28.49967703999703
                  - - 1779729303000
                    - 28.49967703999703
                market_cap_usd:
                  - - 1779729001000
                    - 89168148.1101324
                  - - 1779729303000
                    - 89135118.97668457
                market_cap_native:
                  - - 1779729001000
                    - 41772.70595607475
                  - - 1779729303000
                    - 41772.70595607475
components:
  schemas:
    NFTMarketChart:
      type: object
      required:
        - floor_price_usd
        - floor_price_native
        - h24_volume_usd
        - h24_volume_native
        - market_cap_usd
        - market_cap_native
      properties:
        floor_price_usd:
          type: array
          description: NFT collection floor price in USD as [timestamp, price] pairs
          items:
            type: array
            items:
              type: number
        floor_price_native:
          type: array
          description: >-
            NFT collection floor price in native currency as [timestamp, price]
            pairs
          items:
            type: array
            items:
              type: number
        h24_volume_usd:
          type: array
          description: NFT collection 24h volume in USD as [timestamp, volume] pairs
          items:
            type: array
            items:
              type: number
        h24_volume_native:
          type: array
          description: >-
            NFT collection 24h volume in native currency as [timestamp, volume]
            pairs
          items:
            type: array
            items:
              type: number
        market_cap_usd:
          type: array
          description: NFT collection market cap in USD as [timestamp, market_cap] pairs
          items:
            type: array
            items:
              type: number
        market_cap_native:
          type: array
          description: >-
            NFT collection market cap in native currency as [timestamp,
            market_cap] pairs
          items:
            type: array
            items:
              type: number
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````